## org.eclipse.emf.ecore.util
Class EcoreEMap.Unsettable<K,V>

    java.lang.Object
      org.eclipse.emf.common.util.BasicEMap<K,V>
          org.eclipse.emf.ecore.util.EcoreEMap<K,V>
              org.eclipse.emf.ecore.util.EcoreEMap.Unsettable<K,V>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<java.util.Map.Entry<K,V>>, java.util.Collection<java.util.Map.Entry<K,V>>, java.util.List<java.util.Map.Entry<K,V>>, EList<java.util.Map.Entry<K,V>>, EMap<K,V>, EStructuralFeature.Setting, InternalEList<java.util.Map.Entry<K,V>>, InternalEList.Unsettable<java.util.Map.Entry<K,V>>

Enclosing class:
  EcoreEMap<K,V>

    public static class EcoreEMap.Unsettable<K,V>

extends EcoreEMap<K,V>

See Also:
  Serialized Form

Nested Class Summary
`protected class` `EcoreEMap.Unsettable.UnsettableDelegateEObjectContainmentEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEMap
`EcoreEMap.DelegateEObjectContainmentEList<E extends java.lang.Object & BasicEMap.Entry<K,V>>, EcoreEMap.Unsettable<K,V>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEMap
`BasicEMap.BasicEMapIterator<U>, BasicEMap.BasicEMapKeyIterator, BasicEMap.BasicEMapValueIterator, BasicEMap.DelegatingMap, BasicEMap.Entry<K,V>, BasicEMap.EntryImpl, BasicEMap.View<K,V>`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.util.EMap
`EMap.InternalMapView<K,V>`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEMap
`entryClass, entryEClass`

Fields inherited from class org.eclipse.emf.common.util.BasicEMap
`delegateEList, entryData, modCount, size, view`

Constructor Summary
`EcoreEMap.Unsettable(EClass entryEClass, java.lang.Class<?> entryClass, InternalEObject owner, int featureID)`

Method Summary

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEMap
`addUnique, addUnique, basicAdd, basicGet, basicIterator, basicList, basicListIterator, basicListIterator, basicRemove, get, getEObject, getEStructuralFeature, initializeDelegateEList, isSet, newEntry, newList, set, setUnique, unset`

Methods inherited from class org.eclipse.emf.common.util.BasicEMap

`add, add, addAll, addAll, clear, clone, contains, containsAll, containsKey, containsValue, didAdd, didClear, didModify, didRemove, doClear, doMove, doPut, doRemove, ensureEntryDataExists, entryForKey, entryIndexForKey, entrySet, equals, get, get, grow, hashCode, hashOf, indexOf, indexOf, indexOfKey, isEmpty, iterator, keySet, lastIndexOf, listIterator, listIterator, map, move, move, newEntryData, put, putAll, putAll, putEntry, remove, remove, removeAll, removeEntry, removeKey, resolve, retainAll, set, size, subList, toArray, toArray, toString, useEqualsForKey, useEqualsForValue, validateKey, validateValue, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Constructor Detail

### EcoreEMap.Unsettable

    public EcoreEMap.Unsettable(EClass entryEClass,
                                java.lang.Class<?> entryClass,
                                InternalEObject owner,
                                int featureID)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.